<?php namespace App\Models\HDL;

use App\Models\HDL\BaseControl, Config;

class Sensor extends BaseControl {
	public static $table = 'hdl_sensor';

	public static $connection = 'mysql_read';

	public $internal_params = array();

	/**
	 * Magic getter method for 'params' attribute
	 * 
	 * @return array
	 */
	public function get_params()
	{
		if (!empty($this->internal_params))
			return $this->internal_params;

		$this->internal_params = json_decode($this->get_attribute('params'), true);

		return $this->internal_params;
	}

	/**
	 * Magic setter method for 'params' attribute
	 * 
	 * @return null
	 */
	public function set_params($params)
	{
		if (is_array($params))
		{
			$this->internal_params = $params;
			$new_value = json_encode($params);
		} else 
			$new_value = $params;

		$this->set_attribute('params', $new_value);
	}

	/**
	 * Function to send refresh command for sensor values
	 * 
	 * @return bool
	 */
	public function refresh()
	{
		return $this->command->fire($this->device, $this->params);
	}
}