<?php namespace App\Models\HDL;

use App\Models\HDL\BaseControl, Config;

class Switcher extends BaseControl {
	public static $table = 'hdl_switcher';

	public static $connection = 'mysql_read';

	public $internal_params = array();

	/**
	 * Magic getter method for 'params' attribute
	 * 
	 * @return array
	 */
	public function get_params()
	{
		if (!empty($this->internal_params))
			return $this->internal_params;

		$this->internal_params = json_decode($this->get_attribute('params'), true);

		return $this->internal_params;
	}

	/**
	 * Magic setter method for 'params' attribute
	 * 
	 * @return null
	 */
	public function set_params($params)
	{
		if (is_array($params))
		{
			$this->internal_params = $params;
			$new_value = json_encode($params);
		} else 
			$new_value = $params;

		$this->set_attribute('params', $new_value);
	}

	/**
	 * Switching (running) switcher
	 *
	 * @param form input array
	 *
	 * @return bool
	 */
	public function toggle($input)
	{
		$switcher_params = $this->params;
		if (!empty($input))
		{
			if (!is_array($input))
				break;

			// заполняем параметры свича входящими данными
			foreach ($input as $key => $value)
				$switcher_params[$key] = $value;
		}

		// валидируем и меняем значения исходя из типа параметров 
		foreach ($this->command->params as $cmd_param)
		{
			if ($cmd_param->type == Config::get('application.command.params.types.toggle'))
				$switcher_params[$cmd_param->id] = $switcher_params[$cmd_param->id] == $cmd_param->toggle_on ? $cmd_param->toggle_on : $cmd_param->toggle_off;

			// проверяем что значения параметра не выходят за рамки
			if ($cmd_param->type == Config::get('application.command.params.types.range'))
				$switcher_params[$cmd_param->id] = max(min($cmd_param->range_stop, $switcher_params[$cmd_param->id]), $cmd_param->range_start);
		}

		$this->params = $switcher_params;

		return $this->command->fire($this->device, $this->params);
	}

}