<?php

use App\Models\HDL\Switcher,
	App\Models\HDL\Sensor,
	App\Models\HDL\Device,
	App\Models\HDL\Group,
	App\Models\Account\Account,
	App\Models\Account\Permission,
	\File, \Config;

class Backuper_Task {

	public function run($arguments)
	{
		echo chr(10),'User config backup task.',
			 chr(10), chr(10), 'Usage: ', chr(10), '	php artisan backuper:db_backup', chr(10);
	}

	/**
	 * Метод получает все пользовательские данные из базы и сохраняет в sql файл
	 */
	public function db_backup()
	{
		$date = date('Y-m-d H:i:s', time());
		$path = Config::get('application.backuper.dbpath');

		// проверяем или создаем папку для хранения бекапов базы
		if (!File::mkdir($path))
		{
			echo '	', $date, '[ERROR] ошибка проверки хранилища.';
			exit;
		}

		// общий sql текст который, будет записан в файл
		$sql_code = '';

		// бекапим свичеры
		foreach (Switcher::all() as $item)
		{
			$sql_code .= "INSERT INTO ". Switcher::$table ." (`id`, `title`, `code`, `created_at`, `updated_at`, `weight`, `device_id`, `command_id`, `params`, `group_id`) VALUES ('". $item->id ."', '". $item->title ."', '". $item->code ."', '". $item->created_at ."', '". $item->updated_at ."', '". $item->weight ."', '". $item->device_id ."', '". $item->command_id ."', '". $item->get_attribute('params') ."', '". $item->group_id ."');". chr(10);
		}

		// бекапим сенсоры
		foreach (Sensor::all() as $item)
		{
			$sql_code .= "INSERT INTO ". Sensor::$table ." (`id`, `title`, `code`, `created_at`, `updated_at`, `weight`, `device_id`, `command_id`, `params`, `group_id`) VALUES ('". $item->id ."', '". $item->title ."', '". $item->code ."', '". $item->created_at ."', '". $item->updated_at ."', '". $item->weight ."', '". $item->device_id ."', '". $item->command_id ."', '". $item->get_attribute('params') ."', '". $item->group_id ."');". chr(10);
		}
  
		// бекапим устройства
		foreach (Device::all() as $item)
		{
			$sql_code .= "INSERT INTO ". Device::$table ." (`id`, `title`, `code`, `created_at`, `updated_at`, `weight`, `device_id`, `subnet_id`, `device_type_id`) VALUES ('". $item->id ."', '". $item->title ."', '". $item->code ."', '". $item->created_at ."', '". $item->updated_at ."', '". $item->weight ."', '". $item->device_id ."', '". $item->subnet_id ."', '". $item->device_type_id ."');". chr(10);
		}

		// бекапим группы переключателей и сенсоров
		foreach (Group::all() as $item)
		{
			$sql_code .= "INSERT INTO ". Group::$table ." (`id`, `title`, `created_at`, `updated_at`, `weight`) VALUES ('". $item->id ."', '". $item->title ."', '". $item->created_at ."', '". $item->updated_at ."', '". $item->weight ."');". chr(10);
		}

		// бекапим пользователей
		foreach (Account::all() as $item)
		{
			$sql_code .= "INSERT INTO ". Account::$table ." (`id`, `email`, `password`, `name`, `status_id`, `created_at`, `updated_at`, `balance`) VALUES ('". $item->id ."', '". $item->email ."', '". $item->password ."', '". $item->name ."', '". $item->status_id ."', '". $item->created_at ."', '". $item->updated_at ."', '". $item->balance ."');". chr(10);
		}

		// бекапим права пользователей
		foreach (DB::table(Permission::$group_pivot_table)->get() as $item)
		{
			$sql_code .= "INSERT INTO ". Permission::$group_pivot_table ." (`id`, `group_id`, `permission_id`, `created_at`, `updated_at`) VALUES ('". $item->id ."', '". $item->group_id ."', '". $item->permission_id ."', '". $item->created_at ."', '". $item->updated_at ."');". chr(10);
		}

		if (!File::put($path .'/backuper.sqlite', $sql_code))
			echo '	', $date, '[ERROR] ошибка записи в файл.';
		
		echo '	', $date, ' db_backup done';
	}
}