<?php 

use App\Models\HDL\Device, App\Models\HDL\AnswerBack, App\Models\HDL\AnswerBackParam, App\Models\HDL\Switcher, App\Models\HDL\Sensor, App\Models\HDL\ProductDevice, \Config;

class Boogeyman_Task {

	public function run($arguments)
	{
		echo chr(10),'Start nasty and scary boogeyman to bring horror',
			 chr(10), chr(10), 'Usage: ', chr(10), '	php artisan boogeyman:scare', chr(10);
	}

	public function scare()
	{
		// профилирование
		global $btimer, $bprofiler;
		$btimer = array();
		$bprofiler = Config::get('application.boogeyman.profiler');

		// настройки нотификатора
		global $notif_host, $notif_port, $notif_socket;
		$notif_host = Config::get('application.boogeyman.notif.host');
		$notif_port = Config::get('application.boogeyman.notif.port');


		// подготавливаем список ответных комманды которые будут обновлять свичеры
		$answerbacks = array();
		foreach (AnswerBack::with(array('params', 'commands'))->get() as $item)
			$answerbacks[$item->operate_code] = $item;

		// создаем udp сокет
		if (!($sock = socket_create(AF_INET, SOCK_DGRAM, 0))) {
			$errorcode = socket_last_error();
			$errormsg = socket_strerror($errorcode);
			die("Couldn't create socket: [$errorcode] $errormsg \n");
		}

		echo "Сокет создан \n";

		// биндимся
		if ( !socket_bind($sock, Config::get('application.answerback.adress') , Config::get('application.answerback.port')) ) {
			$errorcode = socket_last_error();
			$errormsg = socket_strerror($errorcode);
			die("Could not bind socket : [$errorcode] $errormsg \n");
		}

		// создаем udp сокет для уведомлений
		$notif_socket = socket_create(AF_INET, SOCK_DGRAM, SOL_UDP);

		if (!$notif_socket)
			die("Couldn't create notif socket: [$errorcode] $errormsg \n");

		echo "Слушаем эфир \n";
		ob_flush();

		while (1) {
			if ($bprofiler)
				$btimer = array('loop_start' => microtime(true));

			$buf = '';
			$len = socket_recv($sock, $buf, 512, 0);

			if ($bprofiler)
				$btimer['packet_start'] = microtime(true);

			// приводим пакет к строковому представлению
			$packet = bin2hex($buf);

			// получем распарсеный массив пакета
			$parsed_packet = AnswerBack::parsePacket($packet);

			echo date('Y-d-m H:i:s', time()) .'	[packet] : '. implode('  ', $parsed_packet), chr(10);
			ob_flush();

			// в эфир попала команда которая мониторится и нужно изменить свичеры у которых команды зависят этой ответной комманды
			$answerback = @$answerbacks[$parsed_packet['code']];

			// если такой пакет нас не интересует идем дальше
			if (empty($answerback))
				continue;

			echo date('Y-d-m H:i:s', time()) .'	catch answerback ['. $answerback->code .']'. chr(10);
			ob_flush();

			// заполняем модель распарсеным пакетом для удобного вызова методов связанных с пакетом
			$answerback->parsed_packet = $parsed_packet;

			// парсим данные пакета и заполняем параметры
			$answerback->parse($packet);


			/**
			 * Обрабатываем ответы на сканирование устройств сети
			 */
			if ($answerback->code == 'scan_answer') {

				// ищем устройство в списке имеющихся, возможно оно уже добавлено
				$answerback_device = $answerback->getSenderDevice();

				// если нету то по полю dtype (device type) определяем модель (предлагаемое имя) устройства и тип устройства в нашей системе
				if (empty($answerback_device)) {
					// ищем продукт по полю device_type если он найден то берем оттуда имя продукта и тип устройства
					$product = ProductDevice::where('dtype', '=', $answerback->parsed_packet['dtype'])->first();

					// если продукт не найден то устройство надо добавлять вручную через админку
					if (empty($product)) {
						echo date('Y-d-m H:i:s', time()) .'	device scan answer - no product [dtype = '. $answerback->parsed_packet['dtype'] .']'. chr(10);
						ob_flush();

						// завершаем обработку пакета
						continue;
					}

					// по продукту формируем объект устройства но не добавляем в базу
					$answerback_device = new Device();

					$answerback_device->title = $product->title;
					$answerback_device->device_type_id = $product->device_type_id;
					$answerback_device->subnet_id = hexdec($answerback->parsed_packet['s_sub']);
					$answerback_device->device_id = hexdec($answerback->parsed_packet['s_dev']);
				}

				// подгружаем тип устройства (подгружаем не явно)
				$tmp = $answerback_device->device_type->id;

				// посылаем задачу на рассылку push уведомлений
				self::SendToNotificator($answerback_device);

				// закончили работать с пакетом, идем к следующему
				continue;
			}



			/**
			 * Работаем с элементами управления умным домом
			 * 
			 * Свичеры, Сенсоры
			 */

			// получаем устройство которое отправило пакет
			$answerback_device = $answerback->getSenderDevice();

			if (empty($answerback_device))
				continue;

			// обрабатываем ситуацию когда пришел ответ содержащий несколько групп значений
			if (!empty($answerback->multi_mask)) {
				// парсим пакет согласно маске и формируем набор параметров разделенный группами
				if (empty($answerback->multi_mask_arr))
					$answerback->multi_mask_arr = json_decode($answerback->multi_mask, true);

				$multi_mask_arr = $answerback->multi_mask_arr;

				$params_group = array();
				$offset = $multi_mask_arr['group_cnt'];
				$group_cnt = hexdec(substr($parsed_packet['data'], 0, $multi_mask_arr['group_cnt']));

				for ($i=0; $i < $group_cnt; $i++) {
					$group_params = array();
					foreach ($multi_mask_arr['group_param'] as $mparam) {
						$tmp = new StdClass();
						if ($mparam['val_size'] == 'index') {
							$tmp->commandparams = $mparam['commandparams'];
							$tmp->type = Config::get('application.answerback.params.types.fix');
							$tmp->value = $i+1;
						} else {
							$tmp->commandparams = $mparam['commandparams'];
							$tmp->type = Config::get('application.answerback.params.types.common');
							$tmp->value = hexdec(substr($parsed_packet['data'], $offset, $mparam['val_size']));
							$offset += $mparam['val_size'];
						}
						$group_params[] = $tmp;
					}
					$params_group[] = $group_params;
				}
				$answerback->params_group = $params_group;
			}

			// проходим по всем коммандам которые слушают эту ответную комманду
			foreach ($answerback->commands as $command) {

				// для каждой комманды пробегаемся по свичерам которые ипользуют эту комманду и это устройство
				foreach (Switcher::where('command_id', '=', $command->id)->where('device_id', '=', $answerback_device->id)->get() as $switcher) {

					if (!empty($answerback->multi_mask)) {
						// проверяем фиксированные параметры для каждой группы
						foreach ($answerback->params_group as $exparams) {
							if ($answerback->is_valid($switcher, $exparams)) {
								// заполняем параметры ответной команды для дальнейшего вызова обновления
								$answerback->params = $exparams;
								break;
							}
							// обнуляем параметры если они не подходят
							$exparams = null;
						}
					} else {
						// проверяем что фиксированые параметры свитчера совпадают иначе этот свичер нас не интересует
						if (!$answerback->is_valid($switcher))
							continue;
					}

					$update_result = $answerback->refresh($switcher, $exparams);
					$exparams = null;

					// обновляем свитчер
					if ($update_result) {
						// посылаем задачу на рассылку push уведомлений
						self::SendToNotificator($switcher);

						// переходим ко следующему свичеру в случае с групповыми ответными коммандами
						if (!empty($answerback->multi_mask))
							continue;

						// в принципе обновив свитчер можно полагать что другого свичера с такими параметрами быть не должно ибо в этом нет смысла и можно завершить обработку пакета
						continue 3;// идем на следющий цикл while
					}
				}

				// для каждой комманды пробегаемся по сенсорам которые ипользуют эту комманду и это устройство
				foreach (Sensor::where('command_id', '=', $command->id)->where('device_id', '=', $answerback_device->id)->get() as $sensor) {
					// обновляем каждый сенсор
					if ($answerback->refresh($sensor)) {
						// посылаем задачу на рассылку push уведомлений
						self::SendToNotificator($sensor);
					}
				}
			}
		}
	}

	/**
	 * Sending udp message to nnotification service
	 *
	 * @param &item - refference to control object (switcher, sensor...) 
	 * @return null
	 */
	static function SendToNotificator(&$item)
	{
		global $btimer;
		global $bprofiler;
		global $notif_host;
		global $notif_port;
		global $notif_socket;

		$notif_message = $item->create_notification();

		socket_sendto($notif_socket, $notif_message, strlen($notif_message), 0, $notif_host, $notif_port);

		echo date('Y-d-m H:i:s', time()) .'	item ['. $item->title .'] - updated ';

		if ($bprofiler)
			echo ' time[packet_start] = '. number_format((microtime(true) - $btimer['packet_start'])*1000, 2) .' ms';

		echo chr(10);
		ob_flush();
	}

}
