<?php 

use App\Models\HDL\ProductDevice, App\Models\HDL\DeviceType, \Config;

class Hdl_products_Task {

	public function run($arguments)
	{
		echo chr(10),'Start hdl_products to parse hdl products file',
			 chr(10), chr(10), 'Usage: ', chr(10), '	php artisan hdl_products:parse filepath', chr(10);
	}

	public function parse($arguments)
	{
		if (empty($arguments[0]))
		{
			echo chr(10), 'Usage: ', chr(10), '	php artisan hdl_products:parse filepath', chr(10);
			exit();
		}

		$fcontent = File::get($arguments[0]);

		if (empty($fcontent))
			exit();

		$fcontent_arr = explode(chr(10), $fcontent);

		if (empty($fcontent_arr))
			exit();

		$device_type = DeviceType::first();

		foreach ($fcontent_arr as $line)
		{
			$line_arr = explode(',', $line);

			if (!is_numeric($line_arr[0]))
				continue;

			$product_device = new ProductDevice();

			$dtype = dechex($line_arr[0]);
			$dtype = str_repeat('0', 4 - strlen($dtype)) . $dtype;

			$product_device->fill(array(
				'title'          => trim($line_arr[2]),
				'dtype'          => $dtype,
				'descr'          => trim($line_arr[3]),
				'device_type_id' => $device_type->id,
			));

			$product_device->save();
		}
	}

}