<?php 

use App\Models\HDL\Sensor, App\Models\HDL\Command, \Config;

class Sentinel_Task {

	public function run($arguments)
	{
		echo chr(10),'Start sentinel to keep your sensors up to date',
			 chr(10), chr(10), 'Usage: ', chr(10), '	php artisan sentinel:patrol', chr(10);
	}

	/**
	 * Метод отправляет пакеты на обновление разных обхектов дома
	 * 
	 * Метод выполняется по крону чтобы не создавать проблем активного ожидания в цикле
	 */
	public function patrol()
	{
		$date = date('Y-m-d H:i:s', time());

		// Обновляем сенсоры
		foreach (Sensor::all() as $sensor) {
			$sensor->refresh();

			echo '	', date('Y-m-d H:i:s', time()),'	[sensor_send_refresh]	', $sensor->title, chr(10);
			ob_flush();

			// wait some time to send next refresh cmd
			sleep(Config::get('application.sentinel.sensor.refresh_wait'));
		}

		// Получаем комманды для переодического запуска
		// Получаем устройства для которых надо выполнить комманду через device_type
		$commands = Command::with(array('device_type', 'device_type.devices'))->where('periodic', '=', 1)->get();

		// выполняем каждую команду со всеми устройствами
		foreach ($commands as $command) {
			foreach ($command->device_type->devices as $device) {
				$command->fire($device);
				$command->reset_payload();
				echo '	', date('Y-m-d H:i:s', time()),'	[periodic_fire]	', $command->code, ': ', $device->id, '-', $device->title, chr(10);
				ob_flush();
				// wait some time to send next refresh cmd
				sleep(Config::get('application.sentinel.sensor.refresh_wait'));
			}
		}
	}
}