<?=View::make('system.inc.meta', get_defined_vars())->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars())->render()?>

	<div class="container-fluid">

		<h1><?= ($create ? 'Create command param' : 'Edit command param')?></h1>

		<?	if($errors->has('model_create_fail'))
				echo 'model create fail<br/>';
		?>

		<?= Form::open() ?>
			<?= Form::token() ?>

			<?if(!$create):?>
				<?= Form::hidden('id', $commandparam->id)?>
			<?endif;?>
			
			<?	if($errors->has('title'))
					echo $errors->first('title'), '<br/>';
			?>

			<?= Form::label('title', 'Title: ') ?>
			<?= Form::text('title', ( Input::old('title') || $create ? Input::old('title') : $commandparam->title )) ?> <br/><br/>


			<?	if($errors->has('value'))
					echo $errors->first('value'), '<br/>';
			?>

			<?= Form::label('value', 'Value: ') ?>
			<?= Form::text('value', ( Input::old('value') || $create ? Input::old('value') : $commandparam->value )) ?> <br/><br/>


			<?	if($errors->has('type'))
					echo $errors->first('type'), '<br/>';
			?>

			<?
				$select_array = array();

				foreach ($types as $key => $val)
					$select_array[$val] = $key;
			?>

			<?= Form::label('type', 'Type: ') ?>
			<?= Form::select('type', $select_array, ( Input::old('type') || $create ? Input::old('type') : $commandparam->type ))?><br/><br/>


			<?	if($errors->has('range_start'))
					echo $errors->first('range_start'), '<br/>';
			?>

			<?= Form::label('range_start', 'Range start: ') ?>
			<?= Form::text('range_start', ( Input::old('range_start') || $create ? Input::old('range_start') : $commandparam->range_start )) ?> <br/><br/>

			<?	if($errors->has('range_stop'))
					echo $errors->first('range_stop'), '<br/>';
			?>

			<?= Form::label('range_stop', 'Range stop: ') ?>
			<?= Form::text('range_stop', ( Input::old('range_stop') || $create ? Input::old('range_stop') : $commandparam->range_stop )) ?> <br/><br/>


			<?	if($errors->has('toggle_on'))
					echo $errors->first('toggle_on'), '<br/>';
			?>

			<?= Form::label('toggle_on', 'Toggle ON: ') ?>
			<?= Form::text('toggle_on', ( Input::old('toggle_on') || $create ? Input::old('toggle_on') : $commandparam->toggle_on )) ?> <br/><br/>

			<?	if($errors->has('toggle_off'))
					echo $errors->first('toggle_off'), '<br/>';
			?>

			<?= Form::label('toggle_off', 'Toggle OFF: ') ?>
			<?= Form::text('toggle_off', ( Input::old('toggle_off') || $create ? Input::old('toggle_off') : $commandparam->toggle_off )) ?> <br/><br/>

			<?= Form::label('uf_visible', 'User interface visible: ') ?>
			<?= Form::checkbox('uf_visible', 1, ( Input::old('uf_visible') || $create ? Input::old('uf_visible') : $commandparam->uf_visible )) ?> <br/><br/>


			<?	if($errors->has('command'))
					echo $errors->first('command'), '<br/>';
			?>

			<?
				$select_array = array();

				foreach ($commands as $item)
					$select_array[$item->id] = $item->title;
			?>

			<?= Form::label('command', 'Commands: ') ?>
			<?= Form::select('command', $select_array, ( Input::old('command') || $create ? Input::old('command') : $commandparam->command_id ))?><br/><br/>


			<?= Form::submit(($create ? 'create' : 'save'), array('class' => 'btn btn-primary')) ?>
		<?= Form::close() ?>


		<?if(!$create):?>
			<?= Form::open('hdl/commandparam/delete') ?>
				<?= Form::token() ?>

				<?= Form::hidden('id', $commandparam->id)?>

				<?= Form::submit('delete', array('class' => 'btn btn-danger')) ?>
			<?= Form::close() ?>
		<?endif;?>
	</div>

	<?=View::make('system.inc.scripts', get_defined_vars())->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars())->render()?>
	</footer>
</body>
</html>