<?=View::make('system.inc.meta', get_defined_vars())->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars())->render()?>

	<div class="container-fluid">

		<h1><?= ($create ? 'Add device' : 'Edit device')?></h1>

		<?	if($errors->has('model_create_fail'))
				echo '<span class="label label-important">Error</span> Could not add device<br/>';
		?>

		<?= Form::open() ?>
			<?= Form::token() ?>

			<?if(!$create):?>
				<?= Form::hidden('id', $device->id)?>
			<?endif;?>
			
			<?	if($errors->has('title'))
					echo $errors->first('title'), '<br/>';
			?>

			<?= Form::label('title', 'Device name: ') ?>
			<?= Form::text('title', ( Input::old('title') || $create ? Input::old('title') : $device->title )) ?> <br/><br/>


			<?	if($errors->has('subnet_id'))
					echo $errors->first('subnet_id'), '<br/>';
			?>

			<?= Form::label('subnet_id', 'Subnet name: ') ?>
			<?= Form::text('subnet_id', ( Input::old('subnet_id') || $create ? Input::old('subnet_id') : $device->subnet_id )) ?> <br/><br/>

			<?	if($errors->has('device_id'))
					echo $errors->first('device_id'), '<br/>';
			?>

			<?= Form::label('device_id', 'Device ID: ') ?>
			<?= Form::text('device_id', ( Input::old('device_id') || $create ? Input::old('device_id') : $device->device_id )) ?> <br/><br/>

			<?	if($errors->has('device_type'))
					echo $errors->first('device_type'), '<br/>';
			?>

			<?
				$select_array = array();

				foreach ($device_types as $item)
					$select_array[$item->id] = $item->title;
			?>

			<?= Form::label('device_type', 'Device type: ') ?>
			<?= Form::select('device_type', $select_array, ( Input::old('device_type') || $create ? Input::old('device_type') : $device->device_type_id ))?><br/><br/>


			<?= Form::submit(($create ? 'Add' : 'Save'), array('class' => 'btn btn-primary')) ?>
		<?= Form::close() ?>


		<?if(!$create):?>

			<?= Form::open('hdl/device/delete') ?>
				<?= Form::token() ?>

				<?= Form::hidden('id', $device->id)?>

				<?= Form::submit('Delete', array('class' => 'btn btn-danger')) ?>
				<span class="label label-important">Attention!</span> <strong>If device is deleted, switches and sensors for this device are deleted either.</strong>
			<?= Form::close() ?>
		<?endif;?>
	</div>

	<?=View::make('system.inc.scripts', get_defined_vars())->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars())->render()?>
	</footer>
</body>
</html>