<?=View::make('system.inc.meta', get_defined_vars())->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars())->render()?>

	<div class="container-fluid">

		<h1><?= ($create ? 'Add product' : 'Edit product')?></h1>

		<?	if($errors->has('model_create_fail'))
				echo '<span class="label label-important">Error</span> Could not add product<br/>';
		?>

		<?= Form::open() ?>
			<?= Form::token() ?>

			<?if(!$create):?>
				<?= Form::hidden('id', $product_device->id)?>
			<?endif;?>

			<?	if($errors->has('title'))
					echo $errors->first('title'), '<br/>';
			?>

			<?= Form::label('title', 'Product model: ') ?>
			<?= Form::text('title', ( Input::old('title') || $create ? Input::old('title') : $product_device->title )) ?> <br/><br/>


			<?	if($errors->has('dtype'))
					echo $errors->first('dtype'), '<br/>';
			?>

			<?= Form::label('dtype', 'Device type (4byte): ') ?>
			<?= Form::text('dtype', ( Input::old('dtype') || $create ? Input::old('dtype') : $product_device->dtype )) ?> <br/><br/>

			<?	if($errors->has('descr'))
					echo $errors->first('descr'), '<br/>';
			?>

			<?= Form::label('descr', 'Description: ') ?>
			<?= Form::text('descr', ( Input::old('descr') || $create ? Input::old('descr') : $product_device->descr )) ?> <br/><br/>


			<?	if($errors->has('device_type'))
					echo $errors->first('device_type'), '<br/>';
			?>

			<?
				$select_array = array();

				foreach ($device_types as $item)
					$select_array[$item->id] = $item->title;
			?>

			<?= Form::label('device_type', 'Device type: ') ?>
			<?= Form::select('device_type', $select_array, ( Input::old('device_type') || $create ? Input::old('device_type') : $product_device->device_type_id ))?><br/><br/>

			<?= Form::submit(($create ? 'Add' : 'Save'), array('class' => 'btn btn-primary')) ?>
		<?= Form::close() ?>


		<?if(!$create):?>
			<?= Form::open('hdl/productdevice/delete') ?>
				<?= Form::token() ?>

				<?= Form::hidden('id', $product_device->id)?>

				<?= Form::submit('Deletw', array('class' => 'btn btn-danger')) ?>
			<?= Form::close() ?>
		<?endif;?>
	</div>

	<?=View::make('system.inc.scripts', get_defined_vars())->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars())->render()?>
	</footer>
</body>
</html>