<?=View::make('system.inc.meta', get_defined_vars())->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars())->render()?>

	<div class="container-fluid">

		<h1><?= ($create ? 'Add switch' : 'Edit switch')?></h1>

		<?	if($errors->has('model_create_fail'))
			echo '<span class="label label-important">Error</span> Could not add switch<br/>';
		?>

		<?= Form::open() ?>
			<?= Form::token() ?>

			<?if(!$create):?>
				<?= Form::hidden('id', $switcher->id)?>
			<?endif;?>

			<?	if($errors->has('title'))
					echo '<div class="add_cotrol_err_msg"><p class="text-error">', $errors->first('title'), '</p></div>';
			?>

			<?= Form::label('title', 'Switch name: ') ?>
			<?= Form::text('title', ( Input::old('title') || $create ? Input::old('title') : $switcher->title )) ?> <br/><br/>


			<?	if($errors->has('group'))
					echo '<div class="add_cotrol_err_msg"><p class="text-error">', $errors->first('group'), '</p></div>';
			?>

			<?
				$groups_array = array();

				foreach ($groups as $group)
					$groups_array[$group->id] = $group->title;
			?>

			<?= Form::label('group', 'Group: ') ?>
			<?= Form::select('group', $groups_array, ( Input::old('group') || $create ? Input::old('group') : $switcher->group_id ), array('multiple' => 'multiple', 'data-placeholder' => 'Choose or add group'))?><br/><br/>


			<?	if($errors->has('device'))
					echo '<div class="add_cotrol_err_msg"><p class="text-error">', $errors->first('device'), '</p></div>';
			?>

			<?= Form::label('device', 'Device used: ') ?>
			<?= Form::select('device', array())?><br/><br/>

			<?	if($errors->has('command'))
					echo '<div class="add_cotrol_err_msg"><p class="text-error">', $errors->first('command'), '</p></div>';
			?>

			<?= Form::label('command', 'Command: ') ?>
			<?= Form::select('command', array())?><br/><br/>

			<?	if($errors->has('params'))
					echo '<div class="add_cotrol_err_msg"><p class="text-error">', $errors->first('params'), '</p></div>';
			?>
			
			<b>Command parameters</b><br/>
			<div id='params'></div><br/><br/>

			<?= Form::submit(($create ? 'Add' : 'Save'), array('class' => 'btn btn-primary')) ?>
		<?= Form::close() ?>


		<?if(!$create):?>
			<?= Form::open('hdl/switcher/delete') ?>
				<?= Form::token() ?>

				<?= Form::hidden('id', $switcher->id)?>

				<?= Form::submit('Delete', array('class' => 'btn btn-danger')) ?>
			<?= Form::close() ?>
		<?endif;?>
	</div>

	<?=View::make('system.inc.scripts', get_defined_vars())->render()?>

	<footer>
		<?=View::make('hdl.switcher.script', get_defined_vars())->render()?>
		<?=View::make('system.inc.footer', get_defined_vars())->render()?>
		<script>
			if(window.jQuery)
				$("#group").chosen({
					no_results_text: "Group not found, you can add",
					max_selected_options: 1,
				});
		</script>
	</footer>
</body>
</html>