<?=View::make('inc.meta', get_defined_vars() )->render()?>

<body>

	<?=View::make('inc.header', get_defined_vars() )->render()?>

	<div id="device_cont" class="container-fluid">
		<div class="well devices_header">
			<div class="devices_header_sum"><strong class="muted">Devices found: </strong><span id="devices_cnt" class="badge badge-info">0</span></div>

			<button id="scan-btn" class="btn btn-primary" type="button"><i class="icon-eye-open icon-white"></i> Find devices</button>
			<div style="clear:both;"><span class="label label-info">Useful:</span> Scan twice if not all devices are found.</div>
		</div>
	</div>


	<script src="/socket.io/socket.io.js"></script>
	<script>
		var template = '<div class="item_box item_box_h2" style="display:none;"><span class="tag">{device_device_type_title}</span><form method="post"><div class="item_device"><div class="input-prepend"><span class="add-on">Name:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><input name="title" class="span2" type="text" value="{device_title}"></div><div class="input-prepend"><span class="add-on">Subnet:</span><input name="subnet_id" class="input-mini" type="text" value="{device_subnet_id}"></div><div class="input-prepend"><span class="add-on">Number:&nbsp;&nbsp;&nbsp;</span><input name="device_id" class="input-mini" type="text" value="{device_device_id}"></div><input name="device_type" type="hidden" value="{device_device_type_id}">{add_btn}</div></form></div>';
		var find_devices = {count:0};


		var socket = io.connect();
		socket.on('device', function (device) {
			if (find_devices[device.subnet_id+'_'+device.device_id] == 1)
				return;
			
			console.log(device);

			local_templ = template;

			local_templ = local_templ.replace('{device_title}', device.title)
			local_templ = local_templ.replace('{device_subnet_id}', device.subnet_id)
			local_templ = local_templ.replace('{device_device_id}', device.device_id)
			local_templ = local_templ.replace('{device_device_type_title}', device.device_type.title)
			local_templ = local_templ.replace('{device_device_type_id}', device.device_type.id)

			if (device.id)
				local_templ = local_templ.replace('{add_btn}', '<button class="btn btn-primary btn-tag" type="button" disabled>добавлено</button>')
			else
				local_templ = local_templ.replace('{add_btn}', '<button id="dev_add_'+ device.subnet_id+'_'+device.device_id +'" class="btn btn-success btn-tag" type="button"><i class="icon-plus icon-white"></i> add</button>')

			$('#device_cont').append(local_templ)

			$('#device_cont .item_box:last').show('slow')

			find_devices[device.subnet_id+'_'+device.device_id] = 1
			find_devices['count'] += 1

			$('#devices_cnt').text(find_devices['count'])


			$('#dev_add_'+device.subnet_id+'_'+device.device_id).click(function () {
				form = $(this).parents('form')
				self = $(this)
				$(this).attr({disabled:'true'})

				uri = form.serialize()

				$.post(form.attr('action'), uri, function (res) {
					if (res == 'success') {
						self.removeClass('btn-success')
						self.addClass('btn-primary')
						self.text('added')
					}

				});
				return false;
			});
		});
	</script>

	<?=View::make('inc.scripts', get_defined_vars() )->render()?>
	<?=View::make('home.scripts', get_defined_vars() )->render()?>
	<?=View::make('home.add_control_modal', get_defined_vars() )->render()?>

	<script>
		$(function() {
			$('#scan-btn').click(function () {
				$.get('/home/scan')
				$(this).attr({disabled:'disabled'})
				$(this).html('<i class="icon-eye-open icon-white"></i> searching...')

				window.setTimeout(function () {
					$('#scan-btn').removeAttr('disabled');
					$('#scan-btn').html('<i class="icon-eye-open icon-white"></i> Find devices')

					//если ничего не было найдено предалагаем добавить руками
					if (find_devices['count'] == 0 && $('#count_0_advice').length == 0)
						$('.devices_header').append('<div style="clear:both;"><span id="count_0_advice" class="label label-warning">Внимание:</span> Could not find devices. Please check connection or use Add Device form. <a href="/hdl/device/create">формой добавления устройств</a>.</div>');
				}, 5000)
			});
		});
	</script>
</body>
</html>