<?=View::make('system.inc.meta', get_defined_vars() )->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars() )->render()?>

	<div class="container-fluid">

		<h1><?= ($create ? 'Add group' : 'Edit group')?></h1>

		<?	if($errors->has('model_create_fail'))
				echo '<span class="label label-important">Error</span> Could not add group<br/>';
		?>

		<?= Form::open() ?>
			<?= Form::token() ?>

			<?if(!$create):?>
				<?= Form::hidden('id', $group->id)?>
			<?endif;?>
			
			<?	if($errors->has('title'))
					echo $errors->first('title'), '<br/>';
			?>

			<?= Form::label('title', 'Group name: ') ?>
			<?= Form::text('title', ( Input::old('title') || $create ? Input::old('title') : $group->title )) ?> <br/><br/>


			<?	if($errors->has('code'))
					echo $errors->first('code'), '<br/>';
			?>

			<?= Form::label('code', 'Symbol: ') ?>
			<?= Form::text('code', ( Input::old('code') || $create ? Input::old('code') : $group->code )) ?> <br/><br/>


			<?	if($errors->has('permissions'))
					echo $errors->first('permissions'), '<br/>';
			?>

			<?= Form::label('permissions', 'Permissions: ') ?>
			<?
				if(Input::old('permissions') || $create )
				{
					$selected = is_array(Input::old('permissions')) ? Input::old('permissions') : array();

					foreach ($permissions as $item)
						echo '<br/>', Form::checkbox('permissions[]', $item->id, (in_array($item->id, $selected) ? true : false)), ' ', $item->title;
				} else
					foreach ($permissions as $item)
						echo '<br/>', Form::checkbox('permissions[]', $item->id, (in_array($item->id, $group->permissions) ? true : false)), ' ', $item->title;
			?>
			<br/><br/>

			<?= Form::submit(($create ? 'Add' : 'Save'), array('class' => 'btn btn-primary')) ?>
		<?= Form::close() ?>

		<?if(!$create):?>
			<?= Form::open('system/group/delete') ?>
				<?= Form::token() ?>

				<?= Form::hidden('id', $group->id)?>

				<?= Form::submit('Delete', array('class' => 'btn btn-danger')) ?>
			<?= Form::close() ?>
		<?endif;?>
	</div>

	<?=View::make('system.inc.scripts', get_defined_vars() )->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars() )->render()?>
	</footer>
</body>
</html>