<?=View::make('system.inc.meta', get_defined_vars() )->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars() )->render()?>

	<div class="container-fluid">
		<h1>Update</h1>

		<? if($errors->has('head_err')):?>
			<div class="alert alert-error">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
				<strong>Error!</strong> <?=$errors->first('head_err');?>
			</div>
		<?endif;?>

		<?= Form::open_for_files() ?>
			<?= Form::token() ?>

			<div class="row-fluid">
				<div class="span6 well">
					<? if(!empty($viewdata['revision'])):?>
						<b>Current version:</b>&nbsp;&nbsp; <span class="badge badge-success"><?=$viewdata['revision'];?></span>
					<?endif;?>
				</div>
			</div>

			<div class="row-fluid">
				<div class="span6">
					<fieldset>
						<legend>Update file <span class="required">*</span></legend>

						<?= Form::file('archive');?>

						<p class="help-block">Download update file. Latest version can be found on website.</p>

						<?if($errors->has('archive')):?>
							<span class="label label-warning">Error</span> <?=$errors->first('archive');?><br/><br/>
						<?endif;?>
					</fieldset>
				</div>
			</div>

			<?= Form::submit('Start update', array('class' => 'btn btn-primary')) ?>
			<span class="label label-important">Attention!</span> <strong>System will reboot immediately when update started.</strong>
		<?= Form::close() ?>

	</div>

	<?=View::make('system.inc.scripts', get_defined_vars() )->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars() )->render()?>
	</footer>
</body>
</html>