<?=View::make('system.inc.meta', get_defined_vars())->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars())->render()?>

	<div class="container-fluid">

		<h1><?= ($create ? 'Добавить сенсор' : 'Редактировать сенсор')?></h1>

		<?	if($errors->has('model_create_fail'))
				echo '<span class="label label-important">Ошибка</span> Не удалось добавить сенсор<br/>';
		?>

		<?= Form::open() ?>
			<?= Form::token() ?>

			<?if(!$create):?>
				<?= Form::hidden('id', $sensor->id)?>
			<?endif;?>
			
			<?	if($errors->has('title'))
					echo '<div class="add_cotrol_err_msg"><p class="text-error">', $errors->first('title'), '</p></div>';
			?>

			<?= Form::label('title', 'Название сенсора: ') ?>
			<?= Form::text('title', ( Input::old('title') || $create ? Input::old('title') : $sensor->title )) ?> <br/><br/>

			<?	if($errors->has('group'))
					echo '<div class="add_cotrol_err_msg"><p class="text-error">', $errors->first('group'), '</p></div>';
			?>

			<?
				$groups_array = array();

				foreach ($groups as $group)
					$groups_array[$group->id] = $group->title;
			?>

			<?= Form::label('group', 'Группа: ') ?>
			<?= Form::select('group', $groups_array, ( Input::old('group') || $create ? Input::old('group') : $sensor->group_id ), array('multiple' => 'multiple', 'data-placeholder' => 'Выберите или добавьте группу'))?><br/><br/>


			<?	if($errors->has('device'))
					echo '<div class="add_cotrol_err_msg"><p class="text-error">', $errors->first('device'), '</p></div>';
			?>

			<?= Form::label('device', 'Используемое устройство: ') ?>
			<?= Form::select('device', array())?><br/><br/>

			<?	if($errors->has('command'))
					echo '<div class="add_cotrol_err_msg"><p class="text-error">', $errors->first('command'), '</p></div>';
			?>

			<?= Form::label('command', 'Выполняемая команда: ') ?>
			<?= Form::select('command', array())?><br/><br/>

			<?	if($errors->has('params'))
					echo '<div class="add_cotrol_err_msg"><p class="text-error">', $errors->first('params'), '</p></div>';
			?>
			
			<b>Параметры команды</b><br/>
			<div id='params'></div><br/><br/>

			<?= Form::submit(($create ? 'Добавить' : 'Сохранить'), array('class' => 'btn btn-primary')) ?>
		<?= Form::close() ?>


		<?if(!$create):?>
			<?= Form::open('hdl/sensor/delete') ?>
				<?= Form::token() ?>

				<?= Form::hidden('id', $sensor->id)?>

				<?= Form::submit('Удалить', array('class' => 'btn btn-danger')) ?>
			<?= Form::close() ?>
		<?endif;?>
	</div>

	<?=View::make('system.inc.scripts', get_defined_vars())->render()?>

	<footer>
		<?=View::make('hdl.switcher.script', array_merge(array('switcher' => (!empty($sensor) ? $sensor : null)), get_defined_vars()))->render()?>
		<?=View::make('system.inc.footer', get_defined_vars())->render()?>
		<script>
			if(window.jQuery)
				$("#group").chosen({
					no_results_text: "Группа не найдена, вы можете её добавить",
					max_selected_options: 1,
				});
		</script>
	</footer>
</body>
</html>