<?=View::make('system.inc.meta', get_defined_vars() )->render()?>

<body>

	<?=View::make('system.inc.header', get_defined_vars() )->render()?>

	<div class="container-fluid">
		<h1>Обновление</h1>

		<? if($errors->has('head_err')):?>
			<div class="alert alert-error">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
				<strong>Ошибка!</strong> <?=$errors->first('head_err');?>
			</div>
		<?endif;?>

		<?= Form::open_for_files() ?>
			<?= Form::token() ?>

			<div class="row-fluid">
				<div class="span6 well">
					<? if(!empty($viewdata['revision'])):?>
						<b>Текущая версия:</b>&nbsp;&nbsp; <span class="badge badge-success"><?=$viewdata['revision'];?></span>
					<?endif;?>
				</div>
			</div>

			<div class="row-fluid">
				<div class="span6">
					<fieldset>
						<legend>Файл обновления <span class="required">*</span></legend>

						<?= Form::file('archive');?>

						<p class="help-block">Загрузите архив с обновлением системы. Последнюю версию системы можно скачать с официального сайта проекта.</p>

						<?if($errors->has('archive')):?>
							<span class="label label-warning">Ошибка</span> <?=$errors->first('archive');?><br/><br/>
						<?endif;?>
					</fieldset>
				</div>
			</div>

			<?= Form::submit('Начать обновление', array('class' => 'btn btn-primary')) ?>
			<span class="label label-important">Внимание!</span> <strong>При старте процесса обновления система будет перезапущена сразу же.</strong>
		<?= Form::close() ?>

	</div>

	<?=View::make('system.inc.scripts', get_defined_vars() )->render()?>

	<footer>
		<?=View::make('system.inc.footer', get_defined_vars() )->render()?>
	</footer>
</body>
</html>